#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.5
visibility:           public
id:                   hOpenPGP-2.9.5-7KIhNHQfA8K8Ywv1bu4MLU
key:                  hOpenPGP-2.9.5-7KIhNHQfA8K8Ywv1bu4MLU
license:              MIT
copyright:            2012-2020  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  32d96b28f29ab777fa658803a4872530
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher

import-dirs:          /usr/lib/ghc-8.10.4/site-local/hOpenPGP-2.9.5
library-dirs:         /usr/lib/ghc-8.10.4/site-local/hOpenPGP-2.9.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/hOpenPGP-2.9.5
hs-libraries:         HShOpenPGP-2.9.5-7KIhNHQfA8K8Ywv1bu4MLU
depends:
    aeson-1.5.6.0-KKLnIH6l1ju5f1LsAaB2FK
    asn1-encoding-0.9.6-INat55r22hWHII11eafaK4
    attoparsec-0.14.1-7D2guzUjZgOLHXldzPPTM base-4.14.1.0
    base16-bytestring-1.0.1.0-bHnbhKusVyFomeD6pOEh3
    bifunctors-5.5.11-KymOnNAZFtQDRJwOea8vch binary-0.8.8.0
    binary-conduit-1.3.1-59a8NJmEJlYB3v5ePaRUzB bytestring-0.10.12.0
    bz2-1.0.1.0-1iGdk6TpxGH5u1Y72suu3N
    conduit-1.3.4.1-CMdEqBISGoYClA7F5z1ntY
    conduit-extra-1.3.5-IY0HUIM2FGDBXD1vzV15lr containers-0.6.2.1
    crypto-cipher-types-0.0.9-BBOS1ZnOyUYHyEfGot6pI9
    cryptonite-0.29-LiwUXbHV23bFzskvvR0rYD
    errors-2.3.0-1jMMqiGok7nGSgO7igf65q
    hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    incremental-parser-0.5.0.2-JlnI9mbXod6LcELYNfic5e
    ixset-typed-0.5-3gd5DaAcJTzBpqWp983K8E
    lens-5.0.1-167i7l6rbiSBm4dtFYmwmy
    memory-0.16.0-FcR25XxjAGsCy9iFRDcpya
    monad-loops-0.4.3-C0LVokhtCoUF1FVS5cJB0Q
    nettle-0.3.0-FEzBEkduDhOJEjFGTjgzwu
    network-uri-2.6.4.1-92yvtIIV9r4DFCfy93rBAD
    openpgp-asciiarmor-0.1.2-2BaIS1vawUH8QCzaxdk4rZ
    prettyprinter-1.7.0-3M09vDyHzT24AvubPgUYIZ
    resourcet-1.2.4.2-JLzroOd93Mw21ml1iAsL6o
    split-0.2.3.4-DG0ESn7oq10C3pntDvmtWW text-1.2.4.1 time-1.9.3
    time-locale-compat-0.1.1.5-75n5v6JklqyMdEmBwWBxO
    transformers-0.5.6.2 unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-Hta4uSSpiP48joPsanuYfX
    zlib-0.6.2.3-LRxl3GIn5nBBspirTWzvDe

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

